Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5116)
@@ -33,5 +33,5 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, only: option_traceurs,izone_ddft,izone_revap, &
+    use isotrac_mod, ONLY: option_traceurs,izone_ddft,izone_revap, &
 &        izone_poubelle, index_zone,option_tmin,izone_cond
 #ifdef ISOVERIF
@@ -450,7 +450,7 @@
         ! verif     
 #ifdef ISOVERIF
-       write(*,*) 'cv_driver 391: ENTREE dans cv_driver'
-!        write(*,*) 'nloc=',nloc
-       if (iso_eau.gt.0) then
+       WRITE(*,*) 'cv_driver 391: ENTREE dans cv_driver'
+!        WRITE(*,*) 'nloc=',nloc
+       if (iso_eau.gt.0) THEN
         do k = 1, klev
          do i = 1, nloc          
@@ -459,15 +459,15 @@
          enddo
         enddo
-       endif !if (iso_eau.gt.0) then 
-       if (iso_HDO.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
+       if (iso_HDO.gt.0) THEN
         do k = 1, klev
          do i = 1, nloc  
-           if (q1(i,k).gt.ridicule) then        
+           if (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant(xt1(iso_hdo,i,k)/q1(i,k), &
                  'cv_driver 362')
-           endif !if (q1(i,k).gt.ridicule) then        
+           endif !if (q1(i,k).gt.ridicule) THEN
          enddo
         enddo
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         do k = 1, klev
@@ -511,5 +511,5 @@
     CALL cv_param(nd)
 #ifdef ISO
-       write(*,*) 'cv_driver 454: isos pas prevus ici'
+       WRITE(*,*) 'cv_driver 454: isos pas prevus ici'
        stop
 #endif
@@ -659,13 +659,13 @@
 
 #ifdef ISOVERIF
-       write(*,*) 'cv_driver 593: avant cv3_undilute1'
+       WRITE(*,*) 'cv_driver 593: avant cv3_undilute1'
        do k=1,klev       
          do i=1,klon 
-          if (iso_HDO.gt.0) then
-           if (q1(i,k).gt.ridicule) then
+          if (iso_HDO.gt.0) THEN
+           if (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant(xt1(iso_hdo,i,k)/q1(i,k), &
                   'cv_driver 502')
-            endif ! if (q1(i,k).gt.ridicule) then
-            endif !if (iso_HDO.gt.0) then
+            endif ! if (q1(i,k).gt.ridicule) THEN
+            endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt1(1,i,k),'cv_driver 601')
@@ -687,13 +687,13 @@
 !c--debug
 #ifdef ISOVERIF
-       write(*,*) 'cv_driver 621: apres cv3_undilute1'
+       WRITE(*,*) 'cv_driver 621: apres cv3_undilute1'
        do k = 1, klev
         do i = 1, klon
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtclw1(iso_eau,i,k),clw1(i,k), &
                  'undil1',errmax,errmaxrel)
          CALL iso_verif_egalite_choix(xt1(iso_eau,i,k),q1(i,k), &
                  'undil1',errmax,errmaxrel)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt1(1,i,k),'cv_driver 623')
@@ -702,5 +702,5 @@
        enddo
 #endif
-       !write(*,*) 'SORTIE DE CV3_UNDILUTE1'
+       !WRITE(*,*) 'SORTIE DE CV3_UNDILUTE1'
 #endif
 
@@ -750,14 +750,14 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        !write(*,*) 'xt1(iso_eau,1,1),q1(1,1)=',xt1(iso_eau,1,1),q1(1,1)
-        !write(*,*) 'xt1(iso_eau,14,1),q1(14,1)=',xt1(iso_eau,14,1),q1(14,1) 
+        !WRITE(*,*) 'xt1(iso_eau,1,1),q1(1,1)=',xt1(iso_eau,1,1),q1(1,1)
+        !WRITE(*,*) 'xt1(iso_eau,14,1),q1(14,1)=',xt1(iso_eau,14,1),q1(14,1)
        do k = 1, klev
         do i = 1, nloc
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw1(iso_eau,i,k),clw1(i,k), &
                   'cv_driver 541a',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(xt1(iso_eau,i,k),q1(i,k), &
                   'cv_driver 541b',errmax,errmaxrel)
-        endif !  if (iso_eau.gt.0) then
+        endif !  if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt1(1,i,k),'cv_driver 689')
@@ -782,18 +782,18 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       write(*,*) 'cv_driver 720: apres cv3_compress'           
+       WRITE(*,*) 'cv_driver 720: apres cv3_compress'
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k),clw(i,k), &
                   'cv_driver 598',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cv_driver 600',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
-         if (iso_HDO.gt.0) then    
+         endif !  if (iso_eau.gt.0) THEN
+         if (iso_HDO.gt.0) THEN
               CALL iso_verif_aberrant_choix( &
                   xt(iso_HDO,i,k),q(i,k), &
                   ridicule,deltalim,'cv_driver 735, apres compress')
-         endif !if (iso_HDO.gt.0) then 
+         endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cv_driver 726')
@@ -801,10 +801,10 @@
         enddo
        enddo
-       if (iso_eau.gt.0) then 
+       if (iso_eau.gt.0) THEN
        do i = 1, ncum
             CALL iso_verif_egalite_choix(xtnk(iso_eau,i),qnk(i), &
                   'cv_driver 834',errmax,errmaxrel)
        enddo
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
 #endif
 #endif
@@ -840,18 +840,18 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        write(*,*) 'cv_driver 863: apres CALL cv30_undilute2'
+        WRITE(*,*) 'cv_driver 863: apres CALL cv30_undilute2'
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k),clw(i,k), &
                   'cv_driver 650',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cv_driver 652',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
-         if (iso_HDO.gt.0) then    
+         endif !  if (iso_eau.gt.0) THEN
+         if (iso_HDO.gt.0) THEN
               CALL iso_verif_aberrant_choix( &
                   xt(iso_HDO,i,k),q(i,k), &
                   ridicule,deltalim,'cv_driver 794, apres undilute2')
-         endif !if (iso_HDO.gt.0) then  
+         endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cv_driver 780trac')
@@ -861,5 +861,5 @@
        enddo
 #endif
-       !write(*,*) 'SORTIE CV3_UNDILUTE2'
+       !WRITE(*,*) 'SORTIE CV3_UNDILUTE2'
 #endif
     END IF
@@ -909,14 +909,14 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       write(*,*) 'cv_driver 837: apres cv3_mixing'
+       WRITE(*,*) 'cv_driver 837: apres cv3_mixing'
        do k = 1, klev
        do j = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,i,j,k), &
                   elij(i,j,k),'cv_driver 881',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(xtent(iso_eau,i,j,k), &
                   qent(i,j,k),'cv_driver 882',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
+         endif !  if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur_justmass(xtent(1,i,j,k), &
@@ -932,16 +932,16 @@
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cv_driver 709',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
+         endif !  if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cv_driver 856')
-           if (option_tmin.eq.1) then
+           if (option_tmin.eq.1) THEN
              if (iso_verif_positif_nostop(xtclw(itZonIso( &
                  izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-                 ,'cv_driver 909').eq.1) then
-               write(*,*) 'i,k=',i,k
-               write(*,*) 'xtclw=',xtclw(:,i,k)
+                 ,'cv_driver 909').eq.1) THEN
+               WRITE(*,*) 'i,k=',i,k
+               WRITE(*,*) 'xtclw=',xtclw(:,i,k)
                stop
              endif !if (iso_verif_positif_nostop(xtclw(itZonIso(
@@ -972,8 +972,8 @@
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cv_driver 753',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
+         endif !  if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cv_driver 885')
@@ -997,11 +997,11 @@
 
 #ifdef ISO
-!       write(*,*) 'klev=',klev
-#ifdef ISOVERIF
-       write(*,*) 'cv_driver 930: apres cv3_unsat'
+!       WRITE(*,*) 'klev=',klev
+#ifdef ISOVERIF
+       WRITE(*,*) 'cv_driver 930: apres cv3_unsat'
        do k = 1, klev
         do i = 1, ncum
-         if (iso_eau.gt.0) then
-            !    write(*,*) 'i,k=',i,k
+         if (iso_eau.gt.0) THEN
+            !    WRITE(*,*) 'i,k=',i,k
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cv_driver 778',errmax,errmaxrel)
@@ -1013,5 +1013,5 @@
             CALL iso_verif_egalite_choix(xtevap(iso_eau,i,k), &
                   evap(i,k),'cv_driver 784',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
+         endif !  if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cv_driver 939')
@@ -1020,5 +1020,5 @@
            CALL iso_verif_traceur_justmass(xtevap(1,i,k), &
                  'cv_driver 942')
-           if (bidouille_anti_divergence) then 
+           if (bidouille_anti_divergence) THEN
              CALL iso_verif_traceur_pbidouille( &
                  xtp(1,i,k),'cv_driver 956')
@@ -1042,5 +1042,5 @@
 #ifdef ISO
 #ifdef ISOTRAC
-      if (option_traceurs.eq.6) then
+      if (option_traceurs.eq.6) THEN
           ! on colorie les ddfts en rouge, le reste est en blanc.
           do k = 1, klev
@@ -1058,10 +1058,10 @@
             enddo !do i = 1, ncum
           enddo !do k = 1, klev
-      else if (option_traceurs.eq.19) then
+      else if (option_traceurs.eq.19) THEN
           ! on colorie les ddfts, mais on sauve la revap
           do k = 1, klev
             do i = 1, ncum
                do izone=1,nzone
-                 if (izone.eq.izone_ddft) then
+                 if (izone.eq.izone_ddft) THEN
                    do iiso=1,niso
                      ixt_ddft=itZonIso(izone,iiso)
@@ -1069,12 +1069,12 @@
                      xtp(ixt_ddft,i,k)=xtp(iiso,i,k)-xtp(ixt_revap,i,k)
                    enddo !do iiso=1,niso
-                 elseif (izone.eq.izone_ddft) then
+                 elseif (izone.eq.izone_ddft) THEN
                     ! rien a faire
-                 else !if (izone.eq.izone_ddft) then
+                 else !if (izone.eq.izone_ddft) THEN
                    do iiso=1,niso
                      ixt=itZonIso(izone,iiso)
                      xtp(ixt,i,k)=0.0
                    enddo !do iiso=1,niso
-                 endif !if (izone.eq.izone_ddft) then
+                 endif !if (izone.eq.izone_ddft) THEN
                enddo !do izone=1,nzone
 #ifdef ISOVERIF
@@ -1083,5 +1083,5 @@
             enddo !do i = 1, ncum
           enddo !do k = 1, klev
-      endif !if (option_traceurs.eq.6) then
+      endif !if (option_traceurs.eq.6) THEN
 #endif
 #endif   
@@ -1114,10 +1114,10 @@
       DO k = 1, nd
        DO i = 1, ncum      
-        if (iso_eau.gt.0) then 
+        if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(fxt(iso_eau,i,k), &
                  fq(i,k),'cv_driver 1086',errmax,errmaxrel)
-        endif !if (iso_HDO.gt.0) then 
-        if (iso_HDO.gt.0) then 
-          if (q(i,k).gt.ridicule) then
+        endif !if (iso_HDO.gt.0) THEN
+        if (iso_HDO.gt.0) THEN
+          if (q(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant( &
                 (xt(iso_HDO,i,k)+delt*fxt(iso_HDO,i,k)) &
@@ -1192,10 +1192,10 @@
       DO k = 1, nd
        DO i = 1, len        
-        if (iso_eau.gt.0) then 
+        if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(fxt1(iso_eau,i,k), &
                 fq1(i,k),'cv_driver 1170',errmax,errmaxrel)
-        endif !if (iso_HDO.gt.0) then 
-        if (iso_HDO.gt.0) then 
-          if (q1(i,k).gt.ridicule) then
+        endif !if (iso_HDO.gt.0) THEN
+        if (iso_HDO.gt.0) THEN
+          if (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant( &
                 (xt1(iso_HDO,i,k)+delt*fxt1(iso_HDO,i,k)) &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_routines.F90	(revision 5116)
@@ -591,5 +591,5 @@
         ! PRINT*,tp(i,k),ah0(i),cl,cpd,qnk(i),t(i,k),gz(i,k),alv,qg,cpd
         tp(i, k) = (ah0(i)-(cl-cpd)*qnk(i)*t(i,k)-gz(i,k)-alv*qg)/cpd
-        ! if (.not.cpd.gt.1000.) then
+        ! if (.not.cpd.gt.1000.) THEN
         ! PRINT*,'CPD=',cpd
         ! stop
@@ -662,10 +662,10 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! byp=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
@@ -689,9 +689,9 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5116)
@@ -63,5 +63,5 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, only: option_traceurs,izone_ddft,izone_revap, &
+    use isotrac_mod, ONLY: option_traceurs,izone_ddft,izone_revap, &
 &       izone_poubelle, index_zone,option_tmin,izone_cond
 #ifdef ISOVERIF
@@ -882,5 +882,5 @@
 ! PRINT*, 'IFLAG1 avant cv3_feed'
 ! PRINT*,'len,nd',len,nd
-! write(*,'(64i1)') iflag1(2:len-1)
+! WRITE(*,'(64i1)') iflag1(2:len-1)
 
         if (prt_level >= 9) &
@@ -899,5 +899,5 @@
 ! PRINT*, 'IFLAG1 apres cv3_feed'
 ! PRINT*,'len,nd',len,nd
-! write(*,'(64i1)') iflag1(2:len-1)
+! WRITE(*,'(64i1)') iflag1(2:len-1)
 
   IF (iflag_con==4) THEN
@@ -924,16 +924,16 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       write(*,*) 'cva_driver 593: avant cv3_undilute1' 
-       if (iso_HDO.gt.0) then   
+       WRITE(*,*) 'cva_driver 593: avant cv3_undilute1'
+       if (iso_HDO.gt.0) THEN
        do k=1,nd       
          do i=1,len           
-           if (q1(i,k).gt.ridicule) then
+           if (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant(xt1(iso_hdo,i,k)/q1(i,k), &
                   'cva_driver 502')
-           endif ! if (q1(i,k).gt.ridicule) then
+           endif ! if (q1(i,k).gt.ridicule) THEN
           enddo !do i=1,len 
         enddo !do k=1,nd   
-        endif !if (iso_HDO.gt.0) then 
-        if (iso_eau.gt.0) then                     
+        endif !if (iso_HDO.gt.0) THEN
+        if (iso_eau.gt.0) THEN
           do i=1,len
             do k=1,nd
@@ -949,5 +949,5 @@
             enddo ! do ixt=1,ntraciso
            enddo !do i=1,len
-         endif !if (iso_eau.gt.0) then 
+         endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
          do k=1,nd       
@@ -969,13 +969,13 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       write(*,*) 'cva_driver 621: apres cv3_undilute1'
+       WRITE(*,*) 'cva_driver 621: apres cv3_undilute1'
        do k=1,nd
         do i = 1, len
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtclw1(iso_eau,i,k),clw1(i,k), &
                  'cva_driver 798',errmax,errmaxrel)
          CALL iso_verif_egalite_choix(xt1(iso_eau,i,k),q1(i,k), &
                  'cva_driver 800',errmax,errmaxrel)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
          do ixt=1,ntraciso
            CALL iso_verif_noNaN(xt1(ixt,i,k),'cva_driver 815')
@@ -992,5 +992,5 @@
        enddo !do i = 1, len
 #endif
-       !write(*,*) 'SORTIE DE CV3_UNDILUTE1'
+       !WRITE(*,*) 'SORTIE DE CV3_UNDILUTE1'
 #endif
 
@@ -1021,5 +1021,5 @@
 ! PRINT*, 'IFLAG1 apres cv3_triger'
 ! PRINT*,'len,nd',len,nd
-! write(*,'(64i1)') iflag1(2:len-1)
+! WRITE(*,'(64i1)') iflag1(2:len-1)
 
 ! CALL dump2d(iim,jjm-1,sig1(2)
@@ -1078,10 +1078,10 @@
        do k=1,nd
         do i = 1, nloc
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw1(iso_eau,i,k),clw1(i,k), &
                   'cva_driver 541a',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(xt1(iso_eau,i,k),q1(i,k), &
                   'cva_driver 541b',errmax,errmaxrel)
-        endif !  if (iso_eau.gt.0) then
+        endif !  if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt1(1,i,k),'cva_driver 689')
@@ -1127,9 +1127,9 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       write(*,*) 'cva_driver 720: apres cv3_compress'
-!       write(*,*) 'len, nloc, ncum,nd=',len, nloc, ncum,nd
+       WRITE(*,*) 'cva_driver 720: apres cv3_compress'
+!       WRITE(*,*) 'len, nloc, ncum,nd=',len, nloc, ncum,nd
        do k=1,nd
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k),clw(i,k), &
                   'cva_driver 598',errmax,errmaxrel)
@@ -1138,10 +1138,10 @@
             CALL iso_verif_egalite_choix(xt_wake(iso_eau,i,k),q_wake(i,k), &
                   'cva_driver 602',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
-         if (iso_HDO.gt.0) then    
+         endif !  if (iso_eau.gt.0) THEN
+         if (iso_HDO.gt.0) THEN
               CALL iso_verif_aberrant_choix( &
                   xt(iso_HDO,i,k),q(i,k), &
                   ridicule,deltalim,'cva_driver 735, apres compress')
-         endif !if (iso_HDO.gt.0) then 
+         endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cva_driver 726')
@@ -1155,5 +1155,5 @@
          CALL iso_verif_positif(qnk(i),'cva_driver 966b')
        enddo !do i = 1, ncum
-!       write(*,*) 'cva_driver 1142: apres cv3_compress OK'
+!       WRITE(*,*) 'cva_driver 1142: apres cv3_compress OK'
 #endif
 #endif
@@ -1201,5 +1201,5 @@
        do k=1,nd
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k),clw(i,k), &
                   'cva_driver 650',errmax,errmaxrel)
@@ -1208,10 +1208,10 @@
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cva_driver 652',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
-         if (iso_HDO.gt.0) then    
+         endif !  if (iso_eau.gt.0) THEN
+         if (iso_HDO.gt.0) THEN
               CALL iso_verif_aberrant_choix( &
                   xt(iso_HDO,i,k),q(i,k), &
                   ridicule,deltalim,'cva_driver 794, apres undilute2')
-         endif !if (iso_HDO.gt.0) then  
+         endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cva_driver 780')
@@ -1229,5 +1229,5 @@
 #endif      
 #endif
-       !write(*,*) 'SORTIE CV3_UNDILUTE2'
+       !WRITE(*,*) 'SORTIE CV3_UNDILUTE2'
 #endif
 
@@ -1363,15 +1363,15 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       write(*,*) 'cva_driver 837: apres cv3_mixing'
-!       write(*,*) 'qent,xtent(1,1,1)=',qent(1,1,1),xtent(iso_eau,1,1,1)
+       WRITE(*,*) 'cva_driver 837: apres cv3_mixing'
+!       WRITE(*,*) 'qent,xtent(1,1,1)=',qent(1,1,1),xtent(iso_eau,1,1,1)
        do k=1,nd
        do j = 1, nd
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,i,j,k), &
                   elij(i,j,k),'cva_driver 881',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(xtent(iso_eau,i,j,k), &
                   qent(i,j,k),'cva_driver 882',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
+         endif !  if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur_justmass(xtent(1,i,j,k), &
@@ -1387,16 +1387,16 @@
        do k=1,nd
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cva_driver 709',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
+         endif !  if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cva_driver 856')
-           if (option_tmin.eq.1) then
+           if (option_tmin.eq.1) THEN
              if (iso_verif_positif_nostop(xtclw(itZonIso( &
                  izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-                 ,'cva_driver 909').eq.1) then
-               write(*,*) 'i,k=',i,k
-               write(*,*) 'xtclw=',xtclw(:,i,k)
+                 ,'cva_driver 909').eq.1) THEN
+               WRITE(*,*) 'i,k=',i,k
+               WRITE(*,*) 'xtclw=',xtclw(:,i,k)
                stop
              endif !if (iso_verif_positif_nostop(xtclw(itZonIso(
@@ -1449,10 +1449,10 @@
        do k=1,nd
         do i = 1, ncum
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,i,k),q(i,k), &
                   'cva_driver 753a',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(xt_wake(iso_eau,i,k),q_wake(i,k), &
                   'cva_driver 753b',errmax,errmaxrel)
-         endif !  if (iso_eau.gt.0) then
+         endif !  if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
            CALL iso_verif_traceur(xt(1,i,k),'cva_driver 885')
@@ -1510,5 +1510,5 @@
 #ifdef ISO
 #ifdef ISOTRAC
-      if (option_traceurs.eq.6) then
+      if (option_traceurs.eq.6) THEN
           ! on colorie les ddfts en rouge, le reste est en blanc.
           do k=1,nd
@@ -1526,10 +1526,10 @@
             enddo !do i = 1, ncum
           enddo !do k=1,nd
-      else if (option_traceurs.eq.19) then
+      else if (option_traceurs.eq.19) THEN
           ! on colorie les ddfts, mais on sauve la revap
           do k=1,nd
             do i = 1, ncum
                do izone=1,nzone
-                 if (izone.eq.izone_ddft) then
+                 if (izone.eq.izone_ddft) THEN
                    do iiso=1,niso
                      ixt_ddft=itZonIso(izone,iiso)
@@ -1537,12 +1537,12 @@
                      xtp(ixt_ddft,i,k)=xtp(iiso,i,k)-xtp(ixt_revap,i,k)
                    enddo !do iiso=1,niso
-                 elseif (izone.eq.izone_ddft) then
+                 elseif (izone.eq.izone_ddft) THEN
                     ! rien à faire
-                 else !if (izone.eq.izone_ddft) then
+                 else !if (izone.eq.izone_ddft) THEN
                    do iiso=1,niso
                      ixt=itZonIso(izone,iiso)
                      xtp(ixt,i,k)=0.0
                    enddo !do iiso=1,niso
-                 endif !if (izone.eq.izone_ddft) then
+                 endif !if (izone.eq.izone_ddft) THEN
                enddo !do izone=1,nzone
 #ifdef ISOVERIF
@@ -1551,5 +1551,5 @@
             enddo !do i = 1, ncum
           enddo !do k=1,nd
-      endif !if (option_traceurs.eq.6) then
+      endif !if (option_traceurs.eq.6) THEN
 #endif
 #endif   
@@ -1599,10 +1599,10 @@
       DO k = 1, nd
        DO i = 1, ncum
-        if (iso_HDO.gt.0) then 
-          if (q(i,k)+delt*fq(i,k).gt.ridicule) then
+        if (iso_HDO.gt.0) THEN
+          if (q(i,k)+delt*fq(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant( &
                 (xt(iso_HDO,i,k)+delt*fxt(iso_HDO,i,k)) &
                 /(q(i,k)+delt*fq(i,k)),'cva_driver 855a')
-                if (iso_O18.gt.0) then
+                if (iso_O18.gt.0) THEN
             CALL iso_verif_O18_aberrant( &
                 (xt(iso_HDO,i,k)+delt*fxt(iso_HDO,i,k)) &
@@ -1613,5 +1613,5 @@
           endif
          endif
-         if (iso_eau.gt.0) then 
+         if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(fxt(iso_eau,i,k), &
                 fq(i,k),'cva_driver 1305',errmax,errmaxrel)
@@ -1723,12 +1723,12 @@
       DO k = 1, nd
        DO i = 1, len
-        if (iso_HDO.gt.0) then 
-          if (q1(i,k).gt.ridicule) then
+        if (iso_HDO.gt.0) THEN
+          if (q1(i,k).gt.ridicule) THEN
             CALL iso_verif_aberrant( &
                 (xt1(iso_HDO,i,k)+delt*fxt1(iso_HDO,i,k)) &
                 /(q1(i,k)+delt*fq1(i,k)),'cva_driver 2554')
           endif
-         endif !if (iso_HDO.gt.0) then 
-         if (iso_eau.gt.0) then 
+         endif !if (iso_HDO.gt.0) THEN
+         if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(fxt1(iso_eau,i,k), &
                 fq1(i,k),'cva_driver 1383',errmax,errmaxrel)
@@ -1736,6 +1736,6 @@
          do ixt=1,ntraciso
            if (iso_verif_noNaN_nostop(fxtd1(ixt,i,k), &
-                 'cva_driver 1447').eq.1) then
-              write(*,*) 'i,k=', i,k
+                 'cva_driver 1447').eq.1) THEN
+              WRITE(*,*) 'i,k=', i,k
               stop
            endif !if (iso_verif_noNaN_nostop(fxtd1(ixt,i,k),
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_mod.F90	(revision 5116)
@@ -295,5 +295,5 @@
        tkcin1(ixt) = 0.0005016
        tkcin2(ixt) = 0.0014432
-       if (tnat1) then 
+       if (tnat1) THEN
                tnat(ixt)=1 
        else 
@@ -318,5 +318,5 @@
        tkcin1(ixt) = tkcin1_O18*fac_kcin
        tkcin2(ixt) = tkcin2_O18*fac_kcin
-       if (tnat1) then 
+       if (tnat1) THEN
                tnat(ixt)=1 
        else 
@@ -338,5 +338,5 @@
        tkcin1(ixt) = tkcin1_O18
        tkcin2(ixt) = tkcin2_O18
-       if (tnat1) then
+       if (tnat1) THEN
                tnat(ixt)=1 
        else 
@@ -362,5 +362,5 @@
        tkcin1(ixt) = tkcin1_O18*fac_kcin
        tkcin2(ixt) = tkcin2_O18*fac_kcin
-       if (tnat1) then 
+       if (tnat1) THEN
                tnat(ixt)=1
        else
@@ -400,10 +400,10 @@
    enddo ! ixt=1,niso
 
-   IF(.NOT.Rdefault_smow) then
+   IF(.NOT.Rdefault_smow) THEN
         Rdefault(:) = 0.0
         if (iso_eau.gt.0) Rdefault(iso_eau) = 1.0 ! correction Camille 30 mars 2023
    ENDIF
-   write(*,*) 'Rdefault=',Rdefault
-   write(*,*) 'toce=',toce
+   WRITE(*,*) 'Rdefault=',Rdefault
+   WRITE(*,*) 'toce=',toce
 
    !--- Sensitivity test: no kinetic effect in sfc evaporation
